import market_trade.core.signals
import market_trade.constants
import pandas as pd


if __name__ == '__main__':
    df_candle = pd.read_csv(market_trade.src.constants.TEST_CANDLESTICKS_PATH)
    df_candle.rename(columns={'timestamp': 'date'}, inplace=True)
    ind_params = {'MeanType': 'SMA', 'window': 15, 'valueType': 'close', 'kDev': 2.5}
    signalParams = {'source': 'close', 'target': 'close'}
    b = market_trade.core.signals.signal_BB(data=df_candle[:99999],
                  mode='retroFast',
                  indParams=ind_params,
                  signalParams=signalParams,
                  batchSize=15
                  )
    a = b.getAns(df_candle[:99900])
    print(b.analizMetrics)
